API Search endpoints…⌘K Get API credentialsGet access

Modify a loan application

PUT/lokta-lms/api/v1/loans/{loanId}

Loan application can only be modified when in 'Submitted and pending approval' state. Once the application is approved, the details cannot be changed using this method.

Path parameters

loanIdpath · integer · int64 · required

loanId

Query parameters

commandquery · string · optional

command

Request body application/json

allowFullTermForTrancheboolean · optional

Allow full term length for each tranche disbursement

amortizationTypeinteger · int32 · optional
chargesarray of PutLoansLoanIdChargeData · optional
clientIdinteger · int64 · optional
collateralarray of PutLoansLoanIdCollateral · optional
dateFormatstring · optional
disbursedAmountPercentageForDownPaymentnumber · optional
disbursementDataarray of PutLoansLoanIdDisbursementData · optional
enableAutoRepaymentForDownPaymentboolean · optional
enableDownPaymentboolean · optional
enableInstallmentLevelDelinquencyboolean · optional
expectedDisbursementDatestring · optional
fixedLengthinteger · int32 · optional
fixedPrincipalPercentagePerInstallmentnumber · optional
fraudboolean · optional
graceOnArrearsAgeinginteger · int32 · optional
interestCalculationPeriodTypeinteger · int32 · optional
interestChargedFromDatestring · optional
interestRateFrequencyTypeinteger · int32 · optional
interestRatePerPeriodnumber · optional
interestRecognitionOnDisbursementDateboolean · optional
interestTypeinteger · int32 · optional
isEqualAmortizationboolean · optional
isTopupboolean · optional
loanIdToCloseinteger · int64 · optional
loanScheduleProcessingTypestring · optional
loanTermFrequencyinteger · int32 · optional
loanTermFrequencyTypeinteger · int32 · optional
loanTypestring · optional
localestring · optional
maxOutstandingLoanBalanceinteger · int64 · optional
numberOfRepaymentsinteger · int32 · optional
principalinteger · int64 · optional
productIdinteger · int64 · optional
repaymentEveryinteger · int32 · optional
repaymentFrequencyDayOfWeekTypeinteger · int32 · optional
repaymentFrequencyNthDayTypeinteger · int32 · optional
repaymentFrequencyTypeinteger · int32 · optional
repaymentsStartingFromDatestring · optional
submittedOnDatestring · optional
transactionProcessingStrategyCodestring · optional

Responses

200OK

Response fields

changesPutLoansLoanIdChanges · optional
clientIdinteger · int64 · optional
loanIdinteger · int64 · optional
officeIdinteger · int64 · optional
resourceExternalIdstring · optional
resourceIdinteger · int64 · optional

Every request authenticates with HTTP Basic and carries a Tenant-Identifier header. See the conventions for dates, commands, pagination and errors. Open this operation in the interactive explorer, or read it as Markdown.

This is the API reference for Lokta, the agentic loan servicing platform. Go to lokta.ai